Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface DocumentListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  JTextComponent.AccessibleJTextComponent

public interface DocumentListener
extends EventListener

Interface for an observer to register to receive notifications of changes to a text document.

The default implementation of the Document interface (AbstractDocument) supports asynchronous mutations. If this feature is used (i.e. mutations are made from a thread other than the Swing event thread), the listeners will be notified via the mutating thread. This means that if asynchronous updates are made, the implementation of this interface must be threadsafe!

The DocumentEvent notification is based upon the JavaBeans event model. There is no guarantee about the order of delivery to listeners, and all listeners must be notified prior to making further mutations to the Document. This means implementations of the DocumentListener may not mutate the source of the event (i.e. the associated Document).

See Also:
  `Document`, `StyledDocument`, `DocumentEvent`

Method Summary
`void` | `changedUpdate(DocumentEvent e)` Gives notification that an attribute or set of attributes changed.
`void` | `insertUpdate(DocumentEvent e)` Gives notification that there was an insert into the document.
`void` | `removeUpdate(DocumentEvent e)` Gives notification that a portion of the document has been removed.

Method Detail

### insertUpdate

    public void insertUpdate(DocumentEvent e)

  Gives notification that there was an insert into the document. The range given by the DocumentEvent bounds the freshly inserted region.

  Parameters:
    `e` - the document event

### removeUpdate

    public void removeUpdate(DocumentEvent e)

  Gives notification that a portion of the document has been removed. The range is given in terms of what the view last saw (that is, before updating sticky positions).

  Parameters:
    `e` - the document event

### changedUpdate

    public void changedUpdate(DocumentEvent e)

  Gives notification that an attribute or set of attributes changed.

  Parameters:
    `e` - the document event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.